// Copyright © 2021 Attestant Limited.
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Package synccommitteesubscriber is a package that manages subscriptions for sync committees.
package synccommitteesubscriber

import (
	"context"

	api "github.com/attestantio/go-eth2-client/api/v1"
	spec "github.com/attestantio/go-eth2-client/spec/phase0"
)

// Service is the sync committee subscriber service.
type Service interface {
	// Subscribe subscribes to sync committees given a set of duties.
	Subscribe(ctx context.Context,
		endEpoch spec.Epoch,
		duties []*api.SyncCommitteeDuty,
	) error
}
